org.activiti.engine.repository

## Class DiagramNode

- java.lang.Object
- - org.activiti.engine.repository.DiagramElement
  - - org.activiti.engine.repository.DiagramNode

- All Implemented Interfaces:
    Serializable

      public class DiagramNode
      extends DiagramElement

  Stores position and dimensions of a diagram node.
  Author:
    Falko Menge
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.activiti.engine.repository.DiagramElement

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiagramNode()`
    `DiagramNode(String id)`
    `DiagramNode(String id, Double x, Double y, Double width, Double height)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `getHeight()`
    `Double` | `getWidth()`
    `Double` | `getX()`
    `Double` | `getY()`
    `boolean` | `isEdge()`
    `boolean` | `isNode()`
    `void` | `setHeight(Double height)`
    `void` | `setWidth(Double width)`
    `void` | `setX(Double x)`
    `void` | `setY(Double y)`
    `String` | `toString()`

    - ### Methods inherited from class org.activiti.engine.repository.DiagramElement

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DiagramNode

          public DiagramNode()

    - #### DiagramNode

          public DiagramNode(String id)

    - #### DiagramNode

          public DiagramNode(String id,
                             Double x,
                             Double y,
                             Double width,
                             Double height)

  - ### Method Detail

    - #### getX

          public Double getX()

    - #### setX

          public void setX(Double x)

    - #### getY

          public Double getY()

    - #### setY

          public void setY(Double y)

    - #### getWidth

          public Double getWidth()

    - #### setWidth

          public void setWidth(Double width)

    - #### getHeight

          public Double getHeight()

    - #### setHeight

          public void setHeight(Double height)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DiagramElement`

    - #### isNode

          public boolean isNode()

      Specified by:
        `isNode` in class `DiagramElement`

    - #### isEdge

          public boolean isEdge()

      Specified by:
        `isEdge` in class `DiagramElement`

Copyright © 2016 Alfresco. All rights reserved.